package com.kdanmobile.admanager

import android.app.Activity
import android.content.Context
import android.view.View

interface AdManager {
    fun init(context: Context, adAppId: String = "", adUnitId: String = "", volume: Float)
    var isInitialized: Boolean
    val onInitListeners: List<Runnable>
    var isPersonalized: Boolean

    fun requestInterstitial(activity: Activity, adUnitId: String)
    /**
     * Use to re-request with same activity, must be called after request(activity, adUnitId)
     */
    fun requestInterstitial(adUnitId: String)
    fun showInterstitial(adUnitId: String): Boolean
    fun destroyInterstitial(activity: Activity)
    fun registerInterstitialAdListener(interstitialAdListener: InterstitialAdListener)
    fun unregisterInterstitialAdListener(interstitialAdListener: InterstitialAdListener)
    fun isInterstitialLoading(adUnitId: String): Boolean
    fun isInterstitialLoaded(adUnitId: String): Boolean

    fun registerNativeAdListener(nativeAdListener: NativeAdListener)
    fun unregisterNativeAdListener(nativeAdListener: NativeAdListener)
    fun requestNative(adUnitId: String, nativeAdViewBinder: NativeAdViewBinder)
    fun takeNativeAdView(adUnitId: String, nativeAdViewBinder: NativeAdViewBinder): View?
    fun isNatvieLoading(adUnitId: String): Boolean
}