package com.kdanmobile.admanager

import android.app.Activity

interface InterstitialAdManager {
    var isPersonalized: Boolean
    fun request(activity: Activity, adUnitId: String)
    /**
     * Use to re-request with same activity, must be called after request(activity, adUnitId)
     */
    fun request(adUnitId: String)
    fun show(adUnitId: String): Boolean
    fun destroy(activity: Activity)
    fun registerListener(interstitialAdListener: InterstitialAdListener)
    fun unregisterListener(interstitialAdListener: InterstitialAdListener)
    fun isLoading(adUnitId: String): Boolean
    fun isLoaded(adUnitId: String): Boolean
}